Package com.io7m.coffeepick.api

# Class CoffeePickVerification.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickVerification.Builder

Enclosing class:
  CoffeePickVerification

    public static final class CoffeePickVerification.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickVerification`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickVerification` | `build()` | Builds a new `CoffeePickVerification`.
  `CoffeePickVerification.Builder` | `from​(CoffeePickVerificationType instance)` | Fill a builder with attribute values from the provided `CoffeePickVerificationType` instance.
  `CoffeePickVerification.Builder` | `setExpectedHash​(RuntimeHash expectedHash)` | Initializes the value for the `expectedHash` attribute.
  `CoffeePickVerification.Builder` | `setReceivedHash​(RuntimeHash receivedHash)` | Initializes the value for the `receivedHash` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickVerification.Builder from​(CoffeePickVerificationType instance)
    Fill a builder with attribute values from the provided `CoffeePickVerificationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setExpectedHash

    public final CoffeePickVerification.Builder setExpectedHash​(RuntimeHash expectedHash)
    Initializes the value for the `expectedHash` attribute.
    Parameters:
      `expectedHash` - The value for expectedHash
    Returns:
      `this` builder for use in a chained invocation

  - ### setReceivedHash

    public final CoffeePickVerification.Builder setReceivedHash​(RuntimeHash receivedHash)
    Initializes the value for the `receivedHash` attribute.
    Parameters:
      `receivedHash` - The value for receivedHash
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickVerification build()
    Builds a new `CoffeePickVerification`.
    Returns:
      An immutable instance of CoffeePickVerification
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing